### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# xemaclite_sinit.c File Reference

## Detailed Description

This file contains the implementation of the XEmacLite driver's static initialization functionality.

Note:
  None.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.12a sv   11/28/07 First release

## Functions
XEmacLite_Config * | XEmacLite_LookupConfig (u16 DeviceId)
int | XEmacLite_Initialize (XEmacLite *InstancePtr, u16 DeviceId)
## Variables
XEmacLite_Config | XEmacLite_ConfigTable []

## Function Documentation

int XEmacLite_Initialize | ( | XEmacLite * | InstancePtr,
|  | u16 | DeviceId
| ) |

  | Initialize a specific XEmacLite instance/driver. The initialization entails: Initialize fields of the XEmacLite instance structure. The driver defaults to polled mode operation. Parameters:
  | InstancePtr | is a pointer to the XEmacLite instance.
  | DeviceId | is the unique id of the device controlled by this XEmacLite instance. Passing in a device id associates the generic XEmacLite instance to a specific device, as chosen by the caller or application developer.
Returns: XST_SUCCESS if initialization was successful. XST_DEVICE_NOT_FOUND/XST_FAILURE if device configuration information was not found for a device with the supplied device ID. Note: None

XEmacLite_Config* XEmacLite_LookupConfig | ( | u16 | DeviceId | ) |

  | Lookup the device configuration based on the unique device ID. The table XEmacLite_ConfigTable contains the configuration info for each device in the system. Parameters:
  | DeviceId | is the unique device ID of the device being looked up.
Returns: A pointer to the configuration table entry corresponding to the given device ID, or NULL if no match is found. Note: None.

## Variable Documentation

XEmacLite_Config XEmacLite_ConfigTable[]

| This table contains configuration information for each EmacLite device in the system.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.